using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization.Formatters.Binary;
using System.IO;
using System.Security.Principal;
using System.Management;

namespace assignmentObjects
{
    [Serializable]
    public class ActiveUsersReply:Reply
    {
        List<string> theUsers;

        public override void notify(assignmentObjects.Controller theController)
        {
            if (theUsers != null)
            {
                theController.OnUsersReceived(theUsers);
            }
        }

        public override Reply DeSerialize(byte[] theData)
        {
            BinaryFormatter bin = new BinaryFormatter();
            MemoryStream mem = new MemoryStream();
            mem.Write(theData, 0, theData.Length);
            mem.Seek(0, 0);
            return (ActiveUsersReply)bin.Deserialize(mem);
        }

        public ActiveUsersReply(List<string> users)
        {
            this.theUsers = users; 
        }

        public List<string> getData()
        {
            return theUsers;
        }
    }
}
