using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization.Formatters.Binary;
using System.IO;

namespace assignmentObjects
{
    [Serializable]
    public class Reply
    {

        public virtual void notify(assignmentObjects.Controller theController)
        {

        }

        public virtual Reply DeSerialize(byte[] theData)
        {
            try
            {
                BinaryFormatter bin = new BinaryFormatter();
                MemoryStream mem = new MemoryStream();
                mem.Write(theData, 0, theData.Length);
                mem.Seek(0, 0);
                return (Reply)bin.Deserialize(mem);
            }
            catch (Exception e)
            {
                return null;
            }
        }

        public byte[] Serialize()
        {
            BinaryFormatter bin = new BinaryFormatter();
            MemoryStream mem = new MemoryStream();
            bin.Serialize(mem, this);
            return mem.GetBuffer();
        }
    }


}
