using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;
using System.Drawing.Imaging;
using System.Drawing;
using System.Windows.Forms;
using System.Drawing.Drawing2D;


namespace assignmentObjects
{
    [Serializable]
    public class ScreenshotReply:Reply
    {
        Bitmap theScreenshot;
        int called = 0;
        public override void notify(assignmentObjects.Controller theController)
        {
            if (theScreenshot != null)
            {
                if (called == 0)
                {
                    theController.OnScreenShotReceived(theScreenshot);
                    called++;
                }
            }
        }

        public override Reply DeSerialize(byte[] theData)
        {
            try
            {
                BinaryFormatter bin = new BinaryFormatter();
                MemoryStream mem = new MemoryStream();
                mem.Write(theData, 0, theData.Length);
                mem.Seek(0, 0);
                return (ScreenshotReply)bin.Deserialize(mem);
            }
            catch (Exception e)
            {
                return null;
            }
        }

        public ScreenshotReply(Bitmap theScreenshot)
        {
            this.theScreenshot = theScreenshot;
        }

        public Bitmap getData()
        {
            
            return theScreenshot;
        }

        


    }



}
