using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization.Formatters.Binary;
using System.IO;
using System.Windows.Forms;

namespace assignmentObjects
{
    [Serializable]
    public class ListDirectoryReply:Reply
    {
        TreeNode theDirectory;

        public override void notify(assignmentObjects.Controller theController)
        {
            if (theDirectory != null)
            {
                theController.OnDirectoryReceived(theDirectory);
            }
        }

        public override Reply DeSerialize(byte[] theData)
        {
            BinaryFormatter bin = new BinaryFormatter();
            MemoryStream mem = new MemoryStream();
            mem.Write(theData, 0, theData.Length);
            mem.Seek(0, 0);
            return (ListDirectoryReply)bin.Deserialize(mem);
        }

        public ListDirectoryReply(TreeNode directory)
        {
            this.theDirectory = directory;

        }

        public TreeNode getData()
        {
            return theDirectory;
        }

    }
}
